Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatPinnedStories

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Stories>
it.tdlight.jni.TdApi.GetChatPinnedStories

Enclosing class:
  TdApi

public static final class TdApi.GetChatPinnedStories extends TdApi.Function<TdApi.Stories>
Returns the list of pinned stories posted by the given chat. The stories are returned in a reverse chronological order (i.e., in order of decreasing storyId). For optimal performance, the number of returned stories is chosen by TDLib.

Returns `Stories`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`fromStoryId`
Identifier of the story starting from which stories must be returned; use 0 to get results from the last story.
`int`
`limit`
The maximum number of stories to be returned For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

## Constructor Summary

Constructors
Constructor
Description
`GetChatPinnedStories()`
Returns the list of pinned stories posted by the given chat.
`GetChatPinnedStories(long chatId, int fromStoryId, int limit)`
Returns the list of pinned stories posted by the given chat.
`GetChatPinnedStories(DataInput input)`
Returns the list of pinned stories posted by the given chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### fromStoryId

public int fromStoryId
Identifier of the story starting from which stories must be returned; use 0 to get results from the last story.

### limit

public int limit
The maximum number of stories to be returned For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetChatPinnedStories

public GetChatPinnedStories()
Returns the list of pinned stories posted by the given chat. The stories are returned in a reverse chronological order (i.e., in order of decreasing storyId). For optimal performance, the number of returned stories is chosen by TDLib.

Returns `Stories`

### GetChatPinnedStories

public GetChatPinnedStories(long chatId, int fromStoryId, int limit)
Returns the list of pinned stories posted by the given chat. The stories are returned in a reverse chronological order (i.e., in order of decreasing storyId). For optimal performance, the number of returned stories is chosen by TDLib.

Returns `Stories`

Parameters:
  `chatId` - Chat identifier.
  `fromStoryId` - Identifier of the story starting from which stories must be returned; use 0 to get results from the last story.
  `limit` - The maximum number of stories to be returned For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

  Returns `Stories`

### GetChatPinnedStories

public GetChatPinnedStories(DataInput input) throws IOException
Returns the list of pinned stories posted by the given chat. The stories are returned in a reverse chronological order (i.e., in order of decreasing storyId). For optimal performance, the number of returned stories is chosen by TDLib.

Returns `Stories`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`